package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * @author NianChang
 * @ClassName CreateOrderPayDetailsRequest
 * @date 2021/04/09 11:27 上午
 */
public class CreateOrderPayDetailsRequest implements Serializable {

    private static final long serialVersionUID = 5831009921072700582L;

    @ApiModelProperty(value = "商家id", example = "10556", required = true)
    private Long sellerId;

    @ApiModelProperty(value = "门店id", example = "102", required = true)
    private Long storeId;

    @ApiModelProperty(value = "支付类型", example = "1")
    private Integer payType;

    @ApiModelProperty(value = "付款金额", example = "1")
    private Integer amount;

    @ApiModelProperty(value = "支付状态", example = "0")
    private Integer status;

    @ApiModelProperty(value = "支付单号", example = "9527")
    private String payNo;

    @ApiModelProperty(value = "第三方支付单号", example = "9527")
    private String thirdPayNo;

    @ApiModelProperty(value = "支付时间", example = "1609430400000")
    private Date payAt;

    @ApiModelProperty(value = "扩展信息", example = "1609430400000")
    private Map<String, Object> extraMap;

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    public Date getPayAt() {
        return payAt;
    }

    public void setPayAt(Date payAt) {
        this.payAt = payAt;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public String getPayNo() {
        return payNo;
    }

    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }

    public String getThirdPayNo() {
        return thirdPayNo;
    }

    public void setThirdPayNo(String thirdPayNo) {
        this.thirdPayNo = thirdPayNo;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
